From: "René Scharfe" <rene.scharfe@lsrfire.ath.cx>
To: git discussion list <git@vger.kernel.org>
Cc: Junio C Hamano <gitster@pobox.com>
Subject: [PATCH 2/4] t0024, t5000: use test_lazy_prereq for UNZIP
Date: Sun, 06 Jan 2013 18:49:00 +0100 [thread overview]
Message-ID: <50E9B90C.2060200@lsrfire.ath.cx> (raw)
In-Reply-To: <50E9B82D.50005@lsrfire.ath.cx>
This change makes the code smaller and we can put it at the top of
the script, its rightful place as setup code.
Signed-off-by: Rene Scharfe <rene.scharfe@lsrfire.ath.cx>
---
t/t0024-crlf-archive.sh | 12 +++++-------
t/t5000-tar-tree.sh | 12 +++++-------
2 files changed, 10 insertions(+), 14 deletions(-)
diff --git a/t/t0024-crlf-archive.sh b/t/t0024-crlf-archive.sh
index 080fe5c..ba397bb 100755
--- a/t/t0024-crlf-archive.sh
+++ b/t/t0024-crlf-archive.sh
@@ -5,6 +5,11 @@ test_description='respect crlf in git archive'
. ./test-lib.sh
GIT_UNZIP=${GIT_UNZIP:-unzip}
+test_lazy_prereq UNZIP '
+ "$GIT_UNZIP" -v >/dev/null 2>&1
+ test $? -ne 127
+'
+
test_expect_success setup '
git config core.autocrlf true &&
@@ -26,13 +31,6 @@ test_expect_success 'tar archive' '
'
-"$GIT_UNZIP" -v >/dev/null 2>&1
-if [ $? -eq 127 ]; then
- say "Skipping ZIP test, because unzip was not found"
-else
- test_set_prereq UNZIP
-fi
-
test_expect_success UNZIP 'zip archive' '
git archive --format=zip HEAD >test.zip &&
diff --git a/t/t5000-tar-tree.sh b/t/t5000-tar-tree.sh
index 1f7593d..6702157 100755
--- a/t/t5000-tar-tree.sh
+++ b/t/t5000-tar-tree.sh
@@ -31,6 +31,11 @@ GUNZIP=${GUNZIP:-gzip -d}
SUBSTFORMAT=%H%n
+test_lazy_prereq UNZIP '
+ "$GIT_UNZIP" -v >/dev/null 2>&1
+ test $? -ne 127
+'
+
check_zip() {
zipfile=$1.zip
listfile=$1.lst
@@ -201,13 +206,6 @@ test_expect_success \
test_cmp a/substfile2 g/prefix/a/substfile2
'
-"$GIT_UNZIP" -v >/dev/null 2>&1
-if [ $? -eq 127 ]; then
- say "Skipping ZIP tests, because unzip was not found"
-else
- test_set_prereq UNZIP
-fi
-
test_expect_success \
'git archive --format=zip' \
'git archive --format=zip HEAD >d.zip'
--
1.7.12
next prev parent reply other threads:[~2013-01-06 17:49 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-12-24 20:49 [LHF] making t5000 "tar xf" tests more lenient Junio C Hamano
2013-01-05 18:34 ` René Scharfe
2013-01-05 19:43 ` Junio C Hamano
2013-01-05 20:11 ` Junio C Hamano
2013-01-05 22:50 ` René Scharfe
2013-01-05 22:49 ` [PATCH] archive-tar: split long paths more carefully René Scharfe
2013-01-05 23:31 ` Jonathan Nieder
2013-01-06 6:54 ` Junio C Hamano
2013-01-06 15:20 ` [PATCH] archive-zip: write uncompressed size into header even with streaming René Scharfe
2013-01-06 17:45 ` [PATCH 0/4] ZIP test fixes René Scharfe
2013-01-06 17:47 ` [PATCH 1/4] t0024, t5000: clear variable UNZIP, use GIT_UNZIP instead René Scharfe
2013-01-07 5:16 ` Jonathan Nieder
2013-01-07 16:25 ` René Scharfe
2013-01-06 17:49 ` René Scharfe [this message]
2013-01-06 18:06 ` [PATCH 2/4] t0024, t5000: use test_lazy_prereq for UNZIP Matt Kraai
2013-01-06 21:59 ` René Scharfe
2013-01-07 8:45 ` Jonathan Nieder
2013-01-07 16:28 ` René Scharfe
2013-01-06 17:51 ` [PATCH 3/4] t5000, t5002: move ZIP tests into their own script René Scharfe
2013-01-06 17:59 ` [PATCH 4/4] t5002: check if unzip supports symlinks René Scharfe
2013-01-07 8:52 ` Jonathan Nieder
2013-01-07 16:50 ` René Scharfe
2013-01-10 7:36 ` Jonathan Nieder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=50E9B90C.2060200@lsrfire.ath.cx \
--to=rene.scharfe@lsrfire.ath.cx \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.